import { childValType, ICtxRoot, ElmEventMapItem } from "./types";
import { tswCtxNodeBase } from "./CtxNodes";
import { tswRootEventHandler } from "./RootEventHandler";
export declare class tswCtxRoot extends tswCtxNodeBase implements ICtxRoot {
    private htmlElement;
    onBeforeAttach: (() => void) | undefined;
    private rootEventHandler;
    constructor(htmlElement: Element);
    setContent(content: childValType): void;
    update(): void;
    getRootCtx(): this;
    invokeBeforeAttach(): void;
    attachElmEventHandler(el: Element, elmEventMapItem: ElmEventMapItem): void;
    detachElmEventHandlers(el: Element): void;
    get dbg_rootEventHandler(): tswRootEventHandler | undefined;
    get dbg_getElement(): Element;
}
