import { tswElementButton } from "./htmlElements";
export { tswRef as Ref } from "./ref";
export { tswPropVal as PropVal, tswPropValArray as PropValArray } from './PropVals';
export * as html from "./html";
import { tswCtxRoot } from "./CtxRoot";
export const elements = {
    ElementButton: tswElementButton,
};
export function setContent(htmlElement, content) {
    const ctxRoot = new tswCtxRoot(htmlElement);
    ctxRoot.setContent(content);
    return ctxRoot;
}
