import { tswElement } from "./elm";
export declare function el(tagName: string): tswElementSVG;
export declare function svg(): tswElementSVG_SVG;
export declare function circle(): tswElementSVG_Circle;
export declare function rect(): tswElementSVG_Rect;
export declare class tswElementSVG extends tswElement {
    constructor(tagName: string);
    stroke(v: string): this;
    strokeWidth(v: number): this;
    fill(v: string): this;
}
export declare class tswElementSVG_SVG extends tswElementSVG {
    constructor();
    width(v: number): this;
    height(v: number): this;
}
export declare class tswElementSVG_Circle extends tswElementSVG {
    constructor();
    cx(v: number): this;
    cy(v: number): this;
    r(v: number): this;
}
export declare class tswElementSVG_Rect extends tswElementSVG {
    constructor();
    x(v: number): this;
    y(v: number): this;
    width(v: number): this;
    height(v: number): this;
}
